Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#349 unable to display the session properties dialog

2.1final
closed-invalid
Rob Manning
Core (461)
5
2007-04-11
2006-03-01
Anonymous
No

This problem was encountered on 2.1 final on windows xp
sp1. No such problem was found when we verified with
2.1rc2.

Discussion

  • Rob Manning
    Rob Manning
    2006-03-01

    • labels: --> Core
     
  • Rob Manning
    Rob Manning
    2006-03-01

    Logged In: YES
    user_id=1287991

    We need a little more info before we can help you with this.
    When the problem occurs, look in the squirrel-sql.log file
    for any exceptions. Please post them here if there are.
    Also, can you verify that you see the problem with the
    latest snapshot build?

    Rob Manning

     
  • Rob Manning
    Rob Manning
    2006-03-01

    • milestone: --> 2.1final
    • assigned_to: nobody --> manningr
     
  • Logged In: NO

    The problem is present in the latest snapshot.

    With jdk 1.5.0_06, there is no exception. This is the
    content of the squirrel-sql.log:

    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    #############################################################################################################
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    # Starting SQuirreL SQL Client Version 2.1 final at 3/2/06
    1:54 AM
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    #############################################################################################################
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    SQuirreL SQL Client Version 2.1 final started: Thu Mar 02
    01:54:22 SGT 2006
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    Copyright (c) 2001-2005 Colin Bell and others
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    java.vendor: Sun Microsystems Inc.
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    java.version: 1.5.0_06
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    java.runtime.name: Java(TM) 2 Runtime Environment, Standard
    Edition
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    os.name: Windows XP
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    os.version: 5.1
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    os.arch: x86
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    user.dir: C:\work\squirrel-sql-2.1
    0 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    user.home: C:\Documents and Settings\slyap
    10 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    java.home: c:\Progra~1\Java\jdk1.5.0_06\jre
    10 [main] INFO
    net.sourceforge.squirrel_sql.client.SquirrelLoggerFactory -
    java.class.path:
    .\squirrel-sql.jar;.\lib\commons-cli.jar;.\lib\forms.jar;.\lib\fw.jar;.\lib\log4j.jar;.\lib\nanoxml-2.1.jar;c:\work\DB-DER~1.1-B\lib\derbyclient.jar;c:\work\DB-DER~1.1-B\lib\derbytools.jar;
    1191 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.apache.axis.attachments.ManagedMemoryDataSource to check
    if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError: javax/activation/DataSource
    1462 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load org.apache.axis.transport.http.AdminServlet
    to check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError: javax/servlet/http/HttpServlet
    1472 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load org.apache.axis.transport.http.AxisServlet to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError: javax/servlet/http/HttpServlet
    1472 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.apache.axis.transport.http.AxisServletBase to check if
    it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError: javax/servlet/http/HttpServlet
    3885 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JCFinderFactory$GlobalPathListener
    to check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/api/java/classpath/GlobalPathRegistryListener
    3895 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeCallableFeature
    to check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/CallableFeature
    3895 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeConstructor to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/Constructor
    3895 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeJavaDoc to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/JavaDoc
    3895 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeMethod to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/Method
    3895 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeParameter to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/Parameter
    3905 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.JMIUtils$FakeTagValue to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/jmi/javamodel/TagValue
    3995 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.NbJavaFoldManager$WeakParsingListener
    to check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/modules/javacore/internalapi/ParsingListener
    3995 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load
    org.netbeans.modules.editor.java.NbJavaFoldManager to check
    if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/netbeans/modules/javacore/internalapi/ParsingListener
    4156 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load com.Ostermiller.Syntax.ToHTMLAntTask$1 to
    check if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/apache/tools/ant/util/FileNameMapper
    4156 [main] INFO
    net.sourceforge.squirrel_sql.client.plugin.PluginManager -
    Failed to load com.Ostermiller.Syntax.ToHTMLAntTask to check
    if it is assignable to
    net.sourceforge.squirrel_sql.client.plugin.IPlugin. Reason:
    java.lang.NoClassDefFoundError:
    org/apache/tools/ant/taskdefs/MatchingTask
    5708 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    codecompletion created in 10 ms, loaded in 0 ms, initialized
    in 0 ms, total 10 ms.
    5718 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    sqlbookmark created in 0 ms, loaded in 0 ms, initialized in
    10 ms, total 10 ms.
    5718 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    mysql created in 0 ms, loaded in 0 ms, initialized in 30 ms,
    total 30 ms.
    5718 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    graph created in 0 ms, loaded in 0 ms, initialized in 0 ms,
    total 0 ms.
    5718 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    firebird created in 10 ms, loaded in 0 ms, initialized in 0
    ms, total 10 ms.
    5718 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    sessionscript created in 0 ms, loaded in 0 ms, initialized
    in 10 ms, total 10 ms.
    5728 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    sqlval created in 0 ms, loaded in 0 ms, initialized in 20
    ms, total 20 ms.
    5728 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    syntax created in 10 ms, loaded in 0 ms, initialized in 60
    ms, total 70 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    editextras created in 0 ms, loaded in 0 ms, initialized in
    10 ms, total 10 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    sqlscript created in 0 ms, loaded in 0 ms, initialized in 10
    ms, total 10 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    oracle created in 10 ms, loaded in 0 ms, initialized in 10
    ms, total 20 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    i18n created in 0 ms, loaded in 0 ms, initialized in 10 ms,
    total 10 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    laf created in 10 ms, loaded in 310 ms, initialized in 0 ms,
    total 320 ms.
    5738 [main] INFO
    net.sourceforge.squirrel_sql.client.Application - Plugin
    mssql created in 10 ms, loaded in 0 ms, initialized in 0 ms,
    total 10 ms.
    40848 [AWT-EventQueue-1] INFO
    net.sourceforge.squirrel_sql.client.Application -
    Application shutting down 3/2/06 1:55 AM.
    42190 [AWT-EventQueue-1] INFO
    net.sourceforge.squirrel_sql.client.Application -
    Application shutdown complete 3/2/06 1:55 AM.

     
  • Logged In: NO

    The problem occurred when trying to display new session or
    existing session properties dialog and the dialog does not
    show up at the Windows menu.

    However, when selecting the session properties dialog on the
    session window, it shows up at the Windows menu but it is
    not display at all.

     
  • Rob Manning
    Rob Manning
    2006-04-12

    Logged In: YES
    user_id=1287991

    I'm having trouble reproducing this behavior. Can you give
    me a precise list of steps you took to get it to ocurr?

    Rob

     
  • Rob Manning
    Rob Manning
    2007-03-27

    Logged In: YES
    user_id=1287991
    Originator: NO

    Unable to reproduce this issue, and no response from the original submitter on whether this is reproducible and if so exactly how. Will leave it open a couple more weeks.

    Rob

     
  • Rob Manning
    Rob Manning
    2007-03-27

    • status: open --> pending-invalid
     
  • Rob Manning
    Rob Manning
    2007-03-27

    Logged In: YES
    user_id=1287991
    Originator: NO

    Unable to reproduce this issue, and no response from the original submitter on whether this is reproducible and if so exactly how. Will leave it open a couple more weeks.

    Rob

     
  • Rob Manning
    Rob Manning
    2007-03-27

    Logged In: YES
    user_id=1287991
    Originator: NO

    Unable to reproduce this issue, and no response from the original submitter on whether this is reproducible and if so exactly how. Will leave it open a couple more weeks.

    Rob

     
    • status: pending-invalid --> closed-invalid
     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).